core: Remove pmatch-car, pmatch-cdr hack.
[mes.git] / check.sh
index 7494c38ea5b6c650a5b18198a19d33e16645f387..7c4eb0b3a5b075b5c656ecae57d0b7837aa7a069 100755 (executable)
--- a/check.sh
+++ b/check.sh
@@ -1,14 +1,40 @@
 #! /bin/sh
 
-export GUILE=${GUILE-guile}
-export MES=${MES-./mes}
+# Mes --- Maxwell Equations of Software
+# Copyright © 2017,2018 Jan (janneke) Nieuwenhuizen <janneke@gnu.org>
+#
+# This file is part of Mes.
+#
+# Mes is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# Mes is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Mes.  If not, see <http://www.gnu.org/licenses/>.
+
+export CC32
+export GUILE MES MES_ARENA
+CC32=${CC32-$(command -v i686-unknown-linux-gnu-gcc)}
+GUILE=${GUILE-guile}
+MES=${MES-src/mes}
+MES_ARENA=${MES_ARENA-100000000}
+
+set -e
+bash build-aux/check-boot.sh
 
 tests="
+tests/boot.test
 tests/read.test
 tests/base.test
-tests/closure.test
 tests/quasiquote.test
 tests/let.test
+tests/closure.test
 tests/scm.test
 tests/display.test
 tests/cwv.test
@@ -17,18 +43,21 @@ tests/vector.test
 tests/srfi-1.test
 tests/srfi-13.test
 tests/srfi-14.test
+tests/srfi-43.test
 tests/optargs.test
 tests/fluids.test
 tests/catch.test
-tests/psyntax.test
-tests/pmatch.test
-tests/let-syntax.test
-tests/guile.test
 tests/record.test
+tests/getopt-long.test
+tests/guile.test
+tests/syntax.test
+tests/let-syntax.test
+tests/pmatch.test
+tests/match.test
+tests/psyntax.test
 "
 
-slow="
-tests/match.test
+slow_or_broken="
 tests/peg.test
 "
 
@@ -38,6 +67,10 @@ set +e
 fail=0
 total=0
 for t in $tests; do
+    if [ ! -f $t ]; then
+        echo $t: [SKIP];
+        continue
+    fi
     sh "$t" &> $t.log
     r=$?
     total=$((total+1))
@@ -55,4 +88,4 @@ else
     echo PASS: $total
 fi
 
-sh check-mescc.sh
+sh build-aux/check-mescc.sh